## libkubuntu 14.04ubuntu4

=== CMakeLists.txt ===
project(libkubuntu)
cmake_minimum_required(VERSION 2.8)

include(CMakePackageConfigHelpers)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(QApt REQUIRED)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${KDE4_INCLUDES})
include_directories(${QAPT_INCLUDE_DIR})
add_definitions(-std=c++11)

set(KUBUNTU_VERSION_MAJOR 0)
set(KUBUNTU_VERSION_MINOR 0)
set(KUBUNTU_VERSION_PATCH 0)
set(KUBUNTU_VERSION ${KUBUNTU_VERSION_MAJOR}.${KUBUNTU_VERSION_MINOR}.${KUBUNTU_VERSION_PATCH})

# --------------------------

add_subdirectory(src)

# --------------------------

if(KDE4_BUILD_TESTS)
    add_subdirectory(autotests)
endif()

# --------------------------

set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/Kubuntu)

configure_package_config_file(KubuntuConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/KubuntuConfig.cmake
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS INCLUDE_INSTALL_DIR
)

write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/KubuntuConfigVersion.cmake
    VERSION ${KUBUNTU_VERSION}
    COMPATIBILITY SameMajorVersion
)

install(EXPORT LibKubuntuTargets
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    NAMESPACE Kubuntu::
    FILE KubuntuTargets.cmake
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KubuntuConfig.cmake
#    ${CMAKE_CURRENT_BINARY_DIR}/KubuntuTargets.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KubuntuConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

=== autotests/CMakeLists.txt ===
enable_testing()

################################### LANGUAGE ###################################

set(unit_language_SRCS languagetest.cpp)

kde4_add_unit_test(languagetest
    TESTNAME languagetest
    ${unit_language_SRCS}
)

target_link_libraries(languagetest
    ${KDE4_KDECORE_LIBS}
    ${QT_QTTEST_LIBRARY}
    Kubuntu
)

#################################### Locale ####################################

set(unit_locale_SRCS localetest.cpp)

kde4_add_unit_test(localetest
    TESTNAME localetest
    ${unit_locale_SRCS}
)

target_link_libraries(localetest
    ${KDE4_KDECORE_LIBS}
    ${QT_QTTEST_LIBRARY}
    Kubuntu
)

=== src/CMakeLists.txt ===

set(kubuntu_SRCS
    busyoverlay.cpp
    l10n_language.cpp
    l10n_languagecollection.cpp
    l10n_locale.cpp

# QTC compat
    export.h
    l10n_languagecollection_p.h
)

kde4_add_ui_files(kubuntu_SRCS busyoverlay.ui)
kde4_add_library(Kubuntu SHARED ${kubuntu_SRCS})

set_target_properties(Kubuntu
    PROPERTIES VERSION ${KUBUNTU_VERSION} SOVERSION ${KUBUNTU_VERSION_MAJOR}
)

target_link_libraries(Kubuntu
    ${QAPT_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBS} # Needed for KProtocolManager/QApt proxy setup
)

install(TARGETS Kubuntu EXPORT LibKubuntuTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    busyoverlay.h
    export.h
    l10n_language.h
    l10n_languagecollection.h
    l10n_locale.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/Kubuntu COMPONENT Devel
)

=== debian/changelog ===
libkubuntu (14.04ubuntu4) trusty; urgency=medium

  * Bump standards from 3.9.4. to 3.9.5 to silence lintian.
  * new bool LanguageCollectionPrivate::initalized
    + defaults to false
    + set to the return value of qapt::backend::init
    + presents fatal init error and results in the collection being defunct
    + collection::languages() returns an empty set if the backend could not
      be initalized
    This prevents crashes in l10nevent when either the apt configs or
    the cache is busted.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 20 Feb 2014 09:58:25 +0100

libkubuntu (14.04ubuntu3) trusty; urgency=medium

  * Instead of manually chopping newlines, use QString::simplified
  * Use correct kde code mapping to resolve prefix packages
  * Add Language::missingPackages to get a list of all missing packages
  * Explicitly define a LanguageCollection destructor to prevent QScopedPointer
    from acting up because LanguageCollectionPrivate is a forward decl.
  * Make LanguageCollection() non-explicit, doesn't add any value.
  * Inject a fake en_US Language instance in the LanguageCollection
    + en_US is now mapped to generic en codes for both our's and Ubuntu's
      general l10n packaging.
    + The point of this is to ensure that for example english documentation
      such as amarok-help-en is installed on en_US systems that would
      otherwise not require any additional packages.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 20 Feb 2014 09:56:51 +0100

libkubuntu (14.04ubuntu2) trusty; urgency=medium

  * Add common license ref to copyright
  * Add package descriptions

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Feb 2014 12:10:29 +0100

libkubuntu (14.04ubuntu1) trusty; urgency=low

  * Initial release

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 03 Feb 2014 13:08:11 +0100

=== debian/control ===
Source: libkubuntu
Section: libs
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@kubuntu.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools, cmake, kdelibs5-dev, libqapt-dev
Standards-Version: 3.9.5
Vcs-Git: git://anongit.kde.org/scratch/sitter/libkubuntu.git

Package: libkubuntu0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for Kubuntu platform integration
 This library bundles logic required for convenient Kubuntu specific integration
 of Qt and KDE software, such as localization handling and on-demand capability
 expansion by installing packages.

Package: libkubuntu-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkubuntu0 (= ${binary:Version})
Description: library for Kubuntu platform integration - development files
 This library bundles logic required for convenient Kubuntu specific integration
 of Qt and KDE software, such as localization handling and on-demand capability
 expansion by installing packages.
 .
 These are the development files.

Package: libkubuntu-dbg
Section: debug
Architecture: any
Recommends: libqt4-dbg, libqapt-dbg
Depends: ${misc:Depends}, libkubuntu0 (= ${binary:Version})
Description: library for Kubuntu platform integration - debugging files
 This library bundles logic required for convenient Kubuntu specific integration
 of Qt and KDE software, such as localization handling and on-demand capability
 expansion by installing packages.
 .
 These are the debugging files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=ON

override_dh_strip:
	$(overridden_command) --dbg-package=libkubuntu-dbg

## libkubuntu 14.10ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 # --------------------------
 
+add_subdirectory(kconf_update)
 add_subdirectory(src)
 
 # --------------------------

=== kconf_update/CMakeLists.txt ===
kde4_add_executable(libkubuntu-force-setlocale-rewrite libkubuntu-force-setlocale-rewrite.cpp)
target_link_libraries(libkubuntu-force-setlocale-rewrite
    ${KDE4_KDECORE_LIBS}
    Kubuntu)
install(TARGETS libkubuntu-force-setlocale-rewrite DESTINATION ${LIB_INSTALL_DIR}/kconf_update_bin/)

install(FILES libkubuntu-force-setlocale-rewrite-14-04.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 kde4_add_ui_files(kubuntu_SRCS busyoverlay.ui)
 kde4_add_library(Kubuntu SHARED ${kubuntu_SRCS})
+
+target_include_directories(Kubuntu PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/>")
 
 set_target_properties(Kubuntu
     PROPERTIES VERSION ${KUBUNTU_VERSION} SOVERSION ${KUBUNTU_VERSION_MAJOR}

=== debian/changelog ===
libkubuntu (14.10ubuntu1) utopic; urgency=medium

  * Fix comment typo
  * Add additional safeguard logic when writing the the locale env vars
    to prevent people from breaking their system by defining country-language
    combinations we cannot represent on a POSIX level.
    The added logic gets a list of all valid locales by running locale -a
    and then compares the reference locale with the supported ones.
    If no perfect match is found only LANGUAGE is written as bogus values
    have no adverse effect with this variable, the other ones however are
    explicitly excluded. Only if a locale can be verified as supported will
    we write LANG and LC_*.
    LP: #1322968
  * Add new directory kconf_update and a c++ updater
    libkubuntu-force-setlocale-rewrite-14-04 to force a rewrite of setlocale
    iff the file already exists. This ensures that broken setups get fixed
    according to the new write rules outlined above.
  * Update test cases accordingly
  * Build depend on language-pack-en as we need a configured locale en_US for
    the refined tests to pass

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 15 Jul 2014 01:23:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Harald Sitter <apachelogger@kubuntu.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools, cmake, kdelibs5-dev, libqapt-dev
+Build-Depends: debhelper (>= 9), pkg-kde-tools, cmake, kdelibs5-dev, libqapt-dev,
+ language-pack-en
 Standards-Version: 3.9.5
 Vcs-Git: git://anongit.kde.org/scratch/sitter/libkubuntu.git

## libkubuntu 15.04ubuntu2

=== src/CMakeLists.txt ===
set(kubuntu_SRCS
    busyoverlay.cpp
    l10n_language.cpp
    l10n_languagecollection.cpp
    l10n_locale.cpp

# QTC compat
    export.h
    l10n_languagecollection_p.h
)

qt5_wrap_ui(kubuntu_SRCS busyoverlay.ui)

add_library(Kubuntu SHARED ${kubuntu_SRCS})

target_include_directories(Kubuntu PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/>")
target_include_directories(Kubuntu INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}/Kubuntu>" )

set_target_properties(Kubuntu
    PROPERTIES 
        VERSION ${KUBUNTU_VERSION_STRING}
        SOVERSION ${KUBUNTU_SOVERSION}
        EXPORT_NAME Main)

target_link_libraries(Kubuntu
    KF5::I18n
    KF5::KIOCore # Needed for KProtocolManager/QApt proxy setup
    QApt::Main)

install(TARGETS Kubuntu EXPORT KubuntuTargets LIBRARY DESTINATION  ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    busyoverlay.h
    export.h
    l10n_language.h
    l10n_languagecollection.h
    l10n_locale.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/Kubuntu
    COMPONENT Devel)

=== debian/changelog ===
libkubuntu (15.04ubuntu2) vivid; urgency=medium

  * Run tests in openbox

 -- Harald Sitter <sitter@kde.org>  Tue, 20 Jan 2015 17:08:06 +0100

libkubuntu (15.04ubuntu1) vivid; urgency=medium

  * Port to KDE Frameworks 5
  * SO version is now 1
  * Drop now useless kconf updaters

 -- Harald Sitter <sitter@kde.org>  Tue, 20 Jan 2015 13:45:21 +0100

=== debian/control ===
Source: libkubuntu
Section: libs
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 1.6.0),
               kio-dev,
               language-pack-en,
               libkf5i18n-dev,
               libqapt-dev (>= 3.0.0),
               pkg-kde-tools,
               xauth,
               xvfb
Standards-Version: 3.9.5
Vcs-Git: git://anongit.kde.org/scratch/sitter/libkubuntu.git

Package: libkubuntu1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for Kubuntu platform integration
 This library bundles logic required for convenient Kubuntu specific integration
 of Qt and KDE software, such as localization handling and on-demand capability
 expansion by installing packages.

Package: libkubuntu-dev
Section: libdevel
Architecture: any
Depends: libkubuntu1 (= ${binary:Version}), ${misc:Depends}
Description: library for Kubuntu platform integration - development files
 This library bundles logic required for convenient Kubuntu specific integration
 of Qt and KDE software, such as localization handling and on-demand capability
 expansion by installing packages.
 .
 These are the development files.

Package: libkubuntu-dbg
Section: debug
Architecture: any
Depends: libkubuntu1 (= ${binary:Version}), ${misc:Depends}
Description: library for Kubuntu platform integration - debugging files
 This library bundles logic required for convenient Kubuntu specific integration
 of Qt and KDE software, such as localization handling and on-demand capability
 expansion by installing packages.
 .
 These are the debugging files.

## libkubuntu 18.04ubuntu1

=== debian/changelog ===
libkubuntu (18.04ubuntu1) cosmic; urgency=medium

  * Update Kio build dependency: kio-dev -> libkf5kio-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 09 Jun 2018 21:37:57 +0100

## libkubuntu 18.04ubuntu2

=== CMakeLists.txt ===
project(libkubuntu)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

include(CMakePackageConfigHelpers)

set(REQUIRED_QT_VERSION 5.2.0) # Used in QAptConfig
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

find_package(KF5 REQUIRED
    COMPONENTS
        I18n
        KIO)

find_package(QApt 3.0.0 REQUIRED)

ecm_setup_version(1.0.0 VARIABLE_PREFIX KUBUNTU
    SOVERSION 1
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KubuntuConfigVersion.cmake"
        COMPATIBILITY SameMajorVersion)

# --------------------------

add_subdirectory(autotests)
add_subdirectory(src)

# --------------------------

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/Kubuntu")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KubuntuConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KubuntuConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR})

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KubuntuConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KubuntuConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KubuntuTargets
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    NAMESPACE Kubuntu::
    FILE KubuntuTargets.cmake)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

ecm_add_test(languagetest.cpp
    LINK_LIBRARIES
        Qt5::Test
        Kubuntu)

ecm_add_test(localetest.cpp
    LINK_LIBRARIES
        Qt5::Test
        Kubuntu)

=== debian/changelog ===
libkubuntu (18.04ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:13 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=ON

override_dh_strip:
	$(overridden_command) --dbg-package=libkubuntu-dbg

override_dh_auto_test:
	dh_installwm openbox \
		xvfb-run -a dh_auto_test

## libkubuntu 18.04ubuntu4

=== debian/changelog ===
libkubuntu (18.04ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:51:44 +0000

libkubuntu (18.04ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:38:47 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                extra-cmake-modules (>= 1.6.0),
-               kio-dev,
                language-pack-en,
                libkf5i18n-dev,
+               libkf5kio-dev,
                libqapt-dev (>= 3.0.0),
                pkg-kde-tools,
                xauth,
